### Constructor

# Vips Image magickload_source

#### Declaration [src]

    int
    vips_magickload_source (
      VipsSource* source,
      VipsImage** out,
      ...
    )

#### Description [src]

Exactly as `vips_magickload()`, but read from a source.

Optional arguments

- `page`: `gint`, load from this page
- `n`: `gint`, load this many pages
- `density`: `gchararray`, canvas resolution for rendering vector formats like SVG

See also

`vips_magickload()`.

This constructor is not directly available to language bindings.

#### Parameters

`source`

  Type: `VipsSource`

  Source to load.

  The data is owned by the caller of the function.

`out`

  Type: `VipsImage`

  Image to write.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.